(function() {
    tinymce.create("tinymce.plugins.FlVid_editor_button_plugin", {

        //url argument holds the absolute url of our plugin directory
        init : function(ed, url) {

            //add new button    
            ed.addButton("FlVid_editor_button_instertvideo", {
                title : "Insert Floating Video",
                cmd : "FlVid_insert_video_cmd",
                image : url + "/editor_button_icon.png"
            });

            //button functionality.
            ed.addCommand("FlVid_insert_video_cmd", function() {
                var return_text = "";
                var selected_text = ed.selection.getContent();
                var default_type = "";
                // Open window
                if (selected_text.indexOf("youtube.com/") !== -1) {
                    var default_type = "youtube"
                }else {
                    if (selected_text.indexOf(".mp4") !== -1) {
                        var default_type = "mp4";
                    }else {
                        if (selected_text.indexOf(".ogg") !== -1) {
                            var default_type = "ogg";
                        }else {
                            if (selected_text.indexOf("vimeo.com") !== -1) {
                                var default_type = "vimeo";
                            }
                        }
                    }
                }
                ed.windowManager.open({
                    title: 'Insert Floating Video',
                    resizable: true,
                    width: 500,
                    height: 420,
                        body: [
                            {
                                type   : 'listbox',
                                name   : 'type',
                                label  : 'Type',
                                values : [
                                    { text: 'YouTube', value: 'youtube' },
                                    { text: 'Vimeo', value: 'vimeo' },
                                    { text: 'MP4', value: 'mp4' },
                                    { text: 'ogg', value: 'ogg' }
                                ],
                                value : default_type // Sets the default
                            },
                            {type: 'textbox', id: 'FlVid_insertvideo_URL', name: 'url', label: 'Video URL', value: ed.selection.getContent()},
                            {
                                type   : 'combobox',
                                name   : 'aspect_ratio',
                                label  : 'Aspect Ratio (optional)',
                                values : [
                                    { text: '16:9', value: '16:9' },
                                    { text: '4:3', value: '4:3' }
                                ]
                            },
                            {type: 'textbox', name: 'max_width', label: 'Max Width(px) (optional)'}
                        ],
                        onsubmit: function(e) {
                            if (e.data.aspect_ratio != "") {
                                var FlVid_aspect_ratio = " aspect_ratio=\"" + e.data.aspect_ratio + "\"";
                            }else {
                                var FlVid_aspect_ratio = "";
                            }
                            if (e.data.max_width.replace(/\D+/g, "") != "") {
                                var FlVid_max_width = " max_width=\"" + e.data.max_width.replace(/\D+/g, "") + "\"";
                            }else {
                                var FlVid_max_width = "";
                            }
                            var return_text = "[floating_video url=\"" + e.data.url + "\" type=\"" + e.data.type + "\"" + FlVid_aspect_ratio + FlVid_max_width + "]";
                            ed.execCommand("mceInsertContent", 0, return_text);
                        }
                });
            });

        },

        createControl : function(n, cm) {
            return null;
        },

        getInfo : function() {
            return {
                longname : "FlVid_add_editor_button",
                author : "jefferey11",
                version : "1"
            };
        }
    });

    tinymce.PluginManager.add("FlVid_editor_button_plugin", tinymce.plugins.FlVid_editor_button_plugin);
})();