<?php
/*
* Plugin Name: Floating Video
* Plugin URI:  https://wordpress.org/plugins/floating-video/
* Description: Display a video that, when scrolled out of view, moves to the corner of the screen so that the user can continue watching it while reading a post.
* Version: 1.3.1
* Author: jefferey11
* Author URI:  https://profiles.wordpress.org/jefferey11#content-plugins
*/
//plugin

function Flvid_requireToVar($file, $id){
            ob_start();
            require($file);
            return ob_get_clean();
}

if( !is_admin()){
    wp_enqueue_script('jquery');
    wp_enqueue_script("FlVid_video_functions", plugins_url( 'video_functions.js', __FILE__ ), array(), "1.3");
    wp_enqueue_style("FlVid_style", plugins_url( 'style.css', __FILE__ ), array(), "1.3");
}

function FlVid_plugin_action_links( $links ) {
	$links = array_merge( array(
		'<a href="' . esc_url( admin_url( '/options-general.php?page=floating-video%2FoptionsPage.php' ) ) . '">' . 'Settings' . '</a>'
	), $links );
	return $links;
}
add_action( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'FlVid_plugin_action_links' );

function FlVid_video_shortcode( $atts ) {

    STATIC $id = 0;
    $id++;

    $notFirstVideo = "";
    if($id > 1){$notFirstVideo = "+";};
 
    $output = '';
 
    $video_atts = shortcode_atts( array(
        'url' => '0',
        'max_width' => '800',
        'aspect_ratio' => '0',
        'type' => '0',
    ), $atts );

$FlVid_option_FlVid_distance_from_edge = get_option( 'FlVid_distance_from_edge', false );
if (get_option( 'FlVid_position', false ) == "Top_left") {
    $FlVid_position_output = "top:$FlVid_option_FlVid_distance_from_edge%; left:$FlVid_option_FlVid_distance_from_edge%;";
}
if (get_option( 'FlVid_position', false ) == "Top_right") {
    $FlVid_position_output = "top:$FlVid_option_FlVid_distance_from_edge%; right:$FlVid_option_FlVid_distance_from_edge%;";
}
if (get_option( 'FlVid_position', false ) == "Bottom_left") {
    $FlVid_position_output = "bottom:$FlVid_option_FlVid_distance_from_edge%; left:$FlVid_option_FlVid_distance_from_edge%;";
}
if (get_option( 'FlVid_position', false ) == "Bottom_right") {
    $FlVid_position_output = "bottom:$FlVid_option_FlVid_distance_from_edge%; right:$FlVid_option_FlVid_distance_from_edge%;";
}
    
    if (wp_kses_post( $video_atts[ "aspect_ratio" ] ) == "16:9") {
        $FlVid_shortcode_aspect_ratio = "56";
    }elseif (wp_kses_post( $video_atts[ "aspect_ratio" ] ) == "4:3") {
        $FlVid_shortcode_aspect_ratio = "75";
    }elseif (false != strpbrk(wp_kses_post( $video_atts[ "aspect_ratio" ] ), '1234567890')) {
        $FlVid_shortcode_aspect_ratio = wp_kses_post( $video_atts[ "aspect_ratio" ] );
    }else {
        $FlVid_shortcode_aspect_ratio = "56";
    }

    $output .= "<div style=\"max-width:";
        $output .= wp_kses_post( $video_atts[ "max_width" ] );
        $output .= "px;\" id=FlVid_Parent>";
    if ($notFirstVideo == "") { 
        $output .= "<iframe src=\"" . plugins_url( 'load.html', __FILE__ ) . "\" width=\"80px\" height=\"95px\" frameborder=\"0\" scrolling=\"no\" class=\"FlVid_loading_iframe\"></iframe>";
        $output .= "<div id=FlVid_normal_hieght_a style=width:0px;position:fixed;top:0px;left:0px;height:" . $FlVid_shortcode_aspect_ratio . "px;></div>";
        $output .= "<style class='FlVid_aspect_ratio_aaaa2'></style><style class='FlVid_aspect_ratio_aaaa2_2'></style><style>.FlVid-prefixaddv1-2-1_aside {width: ";
        $output .= get_option( 'FlVid_percentage', false );
        $output .= "%; }</style>";
        $output .= "<style> .FlVid-prefixaddv1-2-1_aside { $FlVid_position_output } </style>";
        $output .= "<style>#FlVid_normal_width { background-image: url(\"";
        $output .= plugins_url( 'Video_icon.png', __FILE__ );
        $output .= "\");}</style>";
        $output .= "<style id=FlVid_height_minimised_style></style>";
    }

    if(wp_kses_post( $video_atts[ "type" ] ) == youtube) {
        $youtube_url = str_replace('watch?v=','embed/',wp_kses_post( $video_atts[ "url" ] )) . "?rel=0";
        if ($notFirstVideo == "") {
            $output .= "<FlVid-prefixaddv1-2-1_section class=FlVid-prefixaddv1-2-1_video$notFirstVideo>";
            $output .= "<div onclick=\"removeAside();\" class=\"Flvid_closebutton\" ";
            if (get_option('FlVid_showclosebutton') == "show") {
                $output .= "style=\"background-image: url('".plugins_url( 'img/closeicon.png', __FILE__ )."');\"";
            }
            $output .= "></div>";
            $output .= "<div class=\"FlVid-prefixaddv1-2-1_vid-wrap fitvidsignore\">";
        }
        $output .= "<iframe id=responsive_video$id";
        $output .= " src=";
        $output .= $youtube_url; 
        if ($notFirstVideo == "+") {
            $output .= " width=100% class=\"FlVid_multiple_video_iframe_$id\"";
        }
        $output .= " frameborder='0' allowfullscreen>";
        $output .= "</iframe>";
        if ($notFirstVideo == "+") {
            $output .= "<style id=\"FlVid_multiple_video_style_$id\"></style>";
            $output .= "<script>

var FlVid_normal_width_multiple$id = document.querySelector(\".FlVid_multiple_video_iframe_$id\");
var FlVid_normal_width_a_multiple$id = FlVid_normal_width_multiple$id.clientWidth;
var FlVid_normal_height_2a_multiple$id = $FlVid_shortcode_aspect_ratio;
var FlVid_aspect_ratio_aaaaaa_multiple$id = FlVid_normal_height_2a_multiple$id * FlVid_normal_width_a_multiple$id / 100;

document.querySelector(\"#FlVid_multiple_video_style_$id\").innerHTML = \".FlVid_multiple_video_iframe_$id { height:\"+FlVid_aspect_ratio_aaaaaa_multiple$id+\"px; }\";

            </script>";
        }
                if ($notFirstVideo == "") {
            $output .= "</div></FlVid-prefixaddv1-2-1_section>";
        }
    }elseif(wp_kses_post( $video_atts[ "type" ] ) == vimeo) {
        $vimeo_url = str_replace('vimeo.com','player.vimeo.com/video',wp_kses_post( $video_atts[ "url" ] )) . "?title=0&byline=0&portrait=0";
        if ($notFirstVideo == "") {
            $output .= "<FlVid-prefixaddv1-2-1_section class=FlVid-prefixaddv1-2-1_video$notFirstVideo>";
            $output .= "<div onclick=\"removeAside();\" class=\"Flvid_closebutton\" ";
            if (get_option('FlVid_showclosebutton') == "show") {
                $output .= "style=\"background-image: url('".plugins_url( 'img/closeicon.png', __FILE__ )."');\"";
            }
            $output .= "></div>";
            $output .= "<div class=\"FlVid-prefixaddv1-2-1_vid-wrap fitvidsignore\">";
        }
        $output .= "<iframe id=responsive_video$id";
        $output .= " src=";
        $output .= $vimeo_url; 
        if ($notFirstVideo == "+") {
            $output .= " width=100% class=\"FlVid_multiple_video_iframe_$id\"";
        }
        $output .= " frameborder='0' allowfullscreen>";
        $output .= "</iframe>";
        if ($notFirstVideo == "+") {
            $output .= "<style id=\"FlVid_multiple_video_style_$id\"></style>";
            $output .= "<script>

var FlVid_normal_width_multiple$id = document.querySelector(\".FlVid_multiple_video_iframe_$id\");
var FlVid_normal_width_a_multiple$id = FlVid_normal_width_multiple$id.clientWidth;
var FlVid_normal_height_2a_multiple$id = $FlVid_shortcode_aspect_ratio;
var FlVid_aspect_ratio_aaaaaa_multiple$id = FlVid_normal_height_2a_multiple$id * FlVid_normal_width_a_multiple$id / 100;

document.querySelector(\"#FlVid_multiple_video_style_$id\").innerHTML = \".FlVid_multiple_video_iframe_$id { height:\"+FlVid_aspect_ratio_aaaaaa_multiple$id+\"px; }\";

            </script>";
        }
                if ($notFirstVideo == "") {
            $output .= "</div></FlVid-prefixaddv1-2-1_section>";
        }
    }else {
        if ($notFirstVideo == "") {
            $output .= "<FlVid-prefixaddv1-2-1_section class=FlVid-prefixaddv1-2-1_video$notFirstVideo>";
            $output .= "<div onclick=\"removeAside();\" class=\"Flvid_closebutton\" ";
            if (get_option('FlVid_showclosebutton') == "show") {
                $output .= "style=\"background-image: url('".plugins_url( 'img/closeicon.png', __FILE__ )."');\"";
            }
            $output .= "></div>";
            $output .= "<div class=\"FlVid-prefixaddv1-2-1_vid-wrap fitvidsignore\">";
        }
        
        $Flvid_divfull_addpadding_output = "";
        if ($notFirstVideo != "") {
            $Flvid_divfull_addpadding_output = " style='margin-bottom:0px;'";
        }

        $output .= "<div id=\"Flvid_fullscreen_div$id\" class='Flvid_fullscreendiv' style='display:none;'><video$Flvid_divfull_addpadding_output id=responsive_video$id class=scrolling";
            $output .=  " controls>";
            $output .=  "<source src=" . wp_kses_post( $video_atts[ "url" ] );
            $output .=  " type=video/" . wp_kses_post( $video_atts[ "type" ] );
            $output .=  ">";
            $output .=  "Your browser does not support this, download <a href='https://www.mozilla.org/en-US/firefox/new/'>Firefox</a> or <a href='https://www.google.com/chrome'>Chrome</a>.";
        $output .= "</video>";
        if ($Flvid_useoldvideoplayer != true) {
            $output .= Flvid_requireToVar('video_player.php', $id);
        }
        $output .= "</div>";
        if ($notFirstVideo == "") {
            $output .= "</div></FlVid-prefixaddv1-2-1_section>";
        }
    } 
    if ($notFirstVideo == "") {
        $output .= "<div id=FlVid_normal_width style=\"max-width:";
        $output .= wp_kses_post( $video_atts[ "max_width" ] );
        $output .= "px; width:100%;\"></div>";
        $output .= "<div id=FlVid_minimised_width style=position:fixed;top:0;left:0;width:" . get_option( 'FlVid_percentage', false ) . "%;height:0px;></div>";
    }
    $output .= "</div>";

    return $output;
 
}
add_shortcode( 'floating_video', 'FlVid_video_shortcode' );

function enqueue_plugin_scripts($plugin_array)
{
    //enqueue TinyMCE plugin script with its ID.
    $plugin_array["FlVid_editor_button_plugin"] =  plugin_dir_url(__FILE__) . "editor_plugin.js";
    return $plugin_array;
}

add_filter("mce_external_plugins", "enqueue_plugin_scripts");

function register_buttons_editor($buttons)
{
    //register buttons with their id.
    array_push($buttons, "FlVid_editor_button_instertvideo");
    return $buttons;
}

add_filter("mce_buttons", "register_buttons_editor");


require 'optionsPage.php';
