<?php
add_action('admin_menu', 'FlVid_create_menu');

function FlVid_create_menu() {

	add_submenu_page('options-general.php', 'Floating Video Settings', 'Floating Video Settings', 'administrator', __FILE__, 'FlVid_settings_page' );


	add_action( 'admin_init', 'register_FlVid_settings' );
}


function register_FlVid_settings() {
	//register settings
	register_setting( 'FlVid-settings-group', 'FlVid_percentage' );
        register_setting( 'FlVid-settings-group', 'FlVid_distance_from_edge' );
	register_setting( 'FlVid-settings-group', 'FlVid_position' );
    register_setting( 'FlVid-settings-group', 'FlVid_showclosebutton' );
        register_setting( 'FlVid-settings-group_2', 'FlVid_loaded' );
}

if (get_option('FlVid_position')  == "") {
    update_option('FlVid_position', "Top_right");
}
if (get_option('FlVid_percentage')  == "") {
    update_option('FlVid_percentage', 30);
}
if (get_option('FlVid_distance_from_edge')  == "") {
    update_option('FlVid_distance_from_edge', 1);
}
if (get_option('FlVid_showclosebutton')  == "") {
    update_option('FlVid_showclosebutton', "show");
}

function FlVid_settings_page() {
update_option('FlVid_loaded', get_option('FlVid_loaded') + 1);
?>
<div class="wrap" style="position: relative;">

<?php if ($_GET['FlVidDemo'] == true) {
//echo "Demo";
//    echo "<script type='text/javascript' src=";
//    echo plugins_url();
//    echo "/best_video_plugin/video_functions.js";
//    echo " ></script>";
//    echo "<link rel='stylesheet' type='text/css' href=";
//    echo plugins_url();
//    echo "/best_video_plugin/style.css>";
//echo do_shortcode ( "[floating_video url=\"\" max_width=\"500\" aspect_ratio=\"16:9\" type=\"mp4\"]" );
//echo "<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>";
}else{ ?>

<h2>Floating Video Settings</h2>
<h3>How to use the plugin</h3>
<p>Only the first video on a page/post will have the sticky functionality.</p>
<p>You can use the button in the editor to embed a floating video in a post or page as seen in the following screenshot.</p>
<img src="<?php echo plugins_url( 'img/Sshot1.png', __FILE__ ) ?>" style="width:90%; height:auto; border:solid thin black;">
<p>Alternatively you can use the following shortcode. </p>
<kbd>[floating_video url="" type="" aspect_ratio="" max_width=""]</kbd>

<p><b>url</b>(required) = The url of the video file, can be a youtube url (see figure 1) or the url of a local video file (mp4 or ogg file).</p>

<p><b>type</b>(required) = The type of the video. If embedding a youtube video, set this attribute to "youtube". If embedding a Vimeo video, set this attribute to "vimeo". If embedding a local video set it to the type of video file (supported types are mp4 and ogg).</p>

<p><b>aspect_ratio</b>(optional) = The aspect ratio of the video, accepts "16:9" or "4:3". If your video does not match ether of these aspect ratios, you may use a numeric value, the higher the value, the taller the shape of the video will be. </p>

<p><b>max_width</b>(optional) = How wide you want the video to be in pixels. If the space the video is in is smaller than this value, the video will shrink to the width of the space it is in.</p>

<div style="width:90%; height:auto; border:thin solid black;"><img style="width:100%; height:auto;" src="<?php echo plugins_url( 'figure_1.png', __FILE__ ); ?>"><br><p style="margin:0 0 0 0;">Figure 1</p></div>


<h3>Settings</h3>
<form method="post" action="options.php">
    <?php settings_fields( 'FlVid-settings-group' ); ?>
    <?php do_settings_sections( 'FlVid-settings-group' ); ?>
    <table class="form-table">
        <tr valign="top">
        <th scope="row">Minimised Width</th>
        <td><input type="text" name="FlVid_percentage" value="<?php if (get_option('FlVid_percentage') < 101 and is_numeric (get_option('FlVid_percentage'))) {echo esc_attr( get_option('FlVid_percentage') );} ?><?php if (get_option('FlVid_percentage') == "") { ?>30<? } ?><?php if (get_option('FlVid_percentage') > 100) { ?>100<?php } ?><?php if (is_numeric (get_option('FlVid_percentage')) == false and get_option('FlVid_percentage') != "") { ?>40<?php } ?>" />%<p class="description">Width of video when minimised. This value is a percentage of the total width of the page.</p></td>
        <td><span style="color:red;">
        <?php if (get_option('FlVid_percentage') == "") { update_option('FlVid_percentage', 40); ?><?php if(get_option('FlVid_loaded') > 1){ ?>Field must not be blank<?php } ?><? } ?>
        <?php if (get_option('FlVid_percentage') > 100) { update_option('FlVid_percentage', 100); ?>Value must not be over 100<?php } ?>
        <?php if (is_numeric (get_option('FlVid_percentage')) == false and get_option('FlVid_percentage') != "") { update_option('FlVid_percentage', 40); ?>Field can only contain numbers<?php } ?>
        </span></td>
        </tr>


        <tr valign="top">
        <th scope="row">Distance from edge</th>
        <td><input type="text" name="FlVid_distance_from_edge" value="<?php if (get_option('FlVid_distance_from_edge') < 51 and is_numeric (get_option('FlVid_distance_from_edge'))) {echo esc_attr( get_option('FlVid_distance_from_edge') );} ?><?php if (get_option('FlVid_distance_from_edge') == "") { ?>1<? } ?><?php if (get_option('FlVid_distance_from_edge') > 50) { ?>50<?php } ?><?php if (is_numeric (get_option('FlVid_distance_from_edge')) == false and get_option('FlVid_distance_from_edge') != "") { ?>1<?php } ?>" />%<p class="description">Video distance from the edge of the page when minimised. This value is a percentage of the total width of the page.</p></td>
        <td><span style="color:red;">
        <?php if (get_option('FlVid_distance_from_edge') == "") { update_option('FlVid_distance_from_edge', 1); ?><?php if(get_option('FlVid_loaded') > 1){ ?>Field must not be blank<?php } ?><? } ?>
        <?php if (get_option('FlVid_distance_from_edge') > 50) { update_option('FlVid_distance_from_edge', 50); ?>Value must not be over 50<?php } ?>
        <?php if (is_numeric (get_option('FlVid_distance_from_edge')) == false and get_option('FlVid_distance_from_edge') != "") { update_option('FlVid_distance_from_edge', 1); ?>Field can only contain numbers<?php } ?>
        </span></td>
        </tr>


        <tr valign="top">
        <th scope="row">Show close button</th>
        <td>
        <div style="text-align: center; width: 220px;">
        <div style="text-align: center; width: 80px; float: left; margin-right: 40px;"><label for="FlVid_showclosebutton_show">Show</label><br><input type="radio" name="FlVid_showclosebutton" id="FlVid_showclosebutton_show" value="show" <?php if (get_option('FlVid_showclosebutton') == "show") { ?>checked<?php } ?>/></div>
        <div style="text-align: center; width: 90px; float: left;"><label for="FlVid_showclosebutton_hide">Hide</label><br><input type="radio" name="FlVid_showclosebutton" id="FlVid_showclosebutton_hide" value="hide" <?php if (get_option('FlVid_showclosebutton') == "hide") { ?>checked<?php } ?>/></div>
        </div>
        <br><br><p class="description">Weather or not to show the close button when the video is minimised.</p>
        </td>
        </tr>

         
        <tr valign="top">
        <th scope="row">Position</th>
        <td>
        <div style="text-align: center; width: 220px;">
        <div style="text-align: center; width: 80px; float: left; margin-right: 40px;"><label for="FlVid_position_TopLeft">Top Left</label><br><input type="radio" name="FlVid_position" id="FlVid_position_TopLeft" value="Top_left" <?php if (get_option('FlVid_position') == "Top_left") { ?>checked<?php } ?>/></div>
        <div style="text-align: center; width: 90px; float: left;"><label for="FlVid_position_TopRight">Top Right</label><br><input type="radio" name="FlVid_position" id="FlVid_position_TopRight" value="Top_right" <?php if (get_option('FlVid_position') == "Top_right") { ?>checked<?php } ?>/></div>
        <br><br><br><br>
        <div style="text-align: center; width: 80px; float: left; margin-right: 40px;"><label for="FlVid_position_BottomLeft">Bottom Left</label><br><input type="radio" name="FlVid_position" id="FlVid_position_BottomLeft" value="Bottom_left" <?php if (get_option('FlVid_position') == "Bottom_left") { ?>checked<?php } ?>/></div>
        <div style="text-align: center; width: 90px; float: left;"><label for="FlVid_position_BottomRight">Bottom Right</label><br><input type="radio" name="FlVid_position" id="FlVid_position_BottomRight" value="Bottom_right" <?php if (get_option('FlVid_position') == "Bottom_right") { ?>checked<?php } ?>/></div>
        </div>
        <br><br><p class="description">The position of the video on the page when minimised.</p>
        </td>
        </tr>
        
    </table>
    
    <?php submit_button(); ?>

</form>
<?php ?><br>
<?php ?><br>
<?php ?><br>
<?php ?>
<?php } ?>
</div>
<?php }